Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5143)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 5144)
@@ -1,85 +1,82 @@
-
 ! $Id: mod_1D_cases_read.F90 2373 2015-10-13 17:28:01Z jyg $
 
 MODULE mod_1D_cases_read_std
-  USE netcdf, ONLY:nf90_noerr,nf90_inq_varid,nf90_inq_dimid,nf90_inquire_dimension,nf90_open,nf90_nowrite,&
-          nf90_strerror,nf90_get_var
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  USE netcdf, ONLY: nf90_noerr, nf90_inq_varid, nf90_inq_dimid, nf90_inquire_dimension, nf90_open, nf90_nowrite, &
+          nf90_strerror, nf90_get_var
+
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   !Declarations specifiques au cas standard
   CHARACTER*80 :: fich_cas
-  ! Discr?tisation 
+  ! Discr?tisation
   INTEGER nlev_cas, nt_cas
 
 
   !profils environnementaux
-  REAL, ALLOCATABLE::  plev_cas(:,:),plevh_cas(:)
-  REAL, ALLOCATABLE::  ap_cas(:),bp_cas(:)
-
-  REAL, ALLOCATABLE::  z_cas(:,:),zh_cas(:)
-  REAL, ALLOCATABLE::  t_cas(:,:),q_cas(:,:),qv_cas(:,:),ql_cas(:,:),qi_cas(:,:),rh_cas(:,:)
-  REAL, ALLOCATABLE::  th_cas(:,:),thv_cas(:,:),thl_cas(:,:),rv_cas(:,:)
-  REAL, ALLOCATABLE::  u_cas(:,:),v_cas(:,:),vitw_cas(:,:),omega_cas(:,:),tke_cas(:,:)
+  REAL, ALLOCATABLE :: plev_cas(:, :), plevh_cas(:)
+  REAL, ALLOCATABLE :: ap_cas(:), bp_cas(:)
+
+  REAL, ALLOCATABLE :: z_cas(:, :), zh_cas(:)
+  REAL, ALLOCATABLE :: t_cas(:, :), q_cas(:, :), qv_cas(:, :), ql_cas(:, :), qi_cas(:, :), rh_cas(:, :)
+  REAL, ALLOCATABLE :: th_cas(:, :), thv_cas(:, :), thl_cas(:, :), rv_cas(:, :)
+  REAL, ALLOCATABLE :: u_cas(:, :), v_cas(:, :), vitw_cas(:, :), omega_cas(:, :), tke_cas(:, :)
 
   !forcing
-  REAL, ALLOCATABLE::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
-  REAL, ALLOCATABLE::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
-  REAL, ALLOCATABLE::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
-  REAL, ALLOCATABLE::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
-  REAL, ALLOCATABLE::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
-  REAL, ALLOCATABLE::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
-  REAL, ALLOCATABLE::  ug_cas(:,:),vg_cas(:,:)
-  REAL, ALLOCATABLE::  temp_nudg_cas(:,:),qv_nudg_cas(:,:),u_nudg_cas(:,:),v_nudg_cas(:,:)
-  REAL, ALLOCATABLE::  invtau_temp_nudg_cas(:,:),invtau_qv_nudg_cas(:,:),invtau_u_nudg_cas(:,:),invtau_v_nudg_cas(:,:)
-  REAL, ALLOCATABLE::  lat_cas(:),sens_cas(:),tskin_cas(:),ts_cas(:),ps_cas(:),ustar_cas(:)
-  REAL, ALLOCATABLE::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:),tkes_cas(:)
+  REAL, ALLOCATABLE :: ht_cas(:, :), vt_cas(:, :), dt_cas(:, :), dtrad_cas(:, :)
+  REAL, ALLOCATABLE :: hth_cas(:, :), vth_cas(:, :), dth_cas(:, :)
+  REAL, ALLOCATABLE :: hq_cas(:, :), vq_cas(:, :), dq_cas(:, :)
+  REAL, ALLOCATABLE :: hr_cas(:, :), vr_cas(:, :), dr_cas(:, :)
+  REAL, ALLOCATABLE :: hu_cas(:, :), vu_cas(:, :), du_cas(:, :)
+  REAL, ALLOCATABLE :: hv_cas(:, :), vv_cas(:, :), dv_cas(:, :)
+  REAL, ALLOCATABLE :: ug_cas(:, :), vg_cas(:, :)
+  REAL, ALLOCATABLE :: temp_nudg_cas(:, :), qv_nudg_cas(:, :), u_nudg_cas(:, :), v_nudg_cas(:, :)
+  REAL, ALLOCATABLE :: invtau_temp_nudg_cas(:, :), invtau_qv_nudg_cas(:, :), invtau_u_nudg_cas(:, :), invtau_v_nudg_cas(:, :)
+  REAL, ALLOCATABLE :: lat_cas(:), sens_cas(:), tskin_cas(:), ts_cas(:), ps_cas(:), ustar_cas(:)
+  REAL, ALLOCATABLE :: uw_cas(:, :), vw_cas(:, :), q1_cas(:, :), q2_cas(:, :), tkes_cas(:)
 
   !champs interpoles
-  REAL, ALLOCATABLE::  plev_prof_cas(:)
-  REAL, ALLOCATABLE::  t_prof_cas(:)
-  REAL, ALLOCATABLE::  theta_prof_cas(:)
-  REAL, ALLOCATABLE::  thl_prof_cas(:)
-  REAL, ALLOCATABLE::  thv_prof_cas(:)
-  REAL, ALLOCATABLE::  q_prof_cas(:)
-  REAL, ALLOCATABLE::  qv_prof_cas(:)
-  REAL, ALLOCATABLE::  ql_prof_cas(:)
-  REAL, ALLOCATABLE::  qi_prof_cas(:)
-  REAL, ALLOCATABLE::  rh_prof_cas(:)
-  REAL, ALLOCATABLE::  rv_prof_cas(:)
-  REAL, ALLOCATABLE::  u_prof_cas(:)
-  REAL, ALLOCATABLE::  v_prof_cas(:)
-  REAL, ALLOCATABLE::  vitw_prof_cas(:)
-  REAL, ALLOCATABLE::  omega_prof_cas(:)
-  REAL, ALLOCATABLE::  tke_prof_cas(:)
-  REAL, ALLOCATABLE::  ug_prof_cas(:)
-  REAL, ALLOCATABLE::  vg_prof_cas(:)
-  REAL, ALLOCATABLE::  temp_nudg_prof_cas(:),qv_nudg_prof_cas(:),u_nudg_prof_cas(:),v_nudg_prof_cas(:)
-  REAL, ALLOCATABLE::  invtau_temp_nudg_prof_cas(:),invtau_qv_nudg_prof_cas(:),invtau_u_nudg_prof_cas(:),invtau_v_nudg_prof_cas(:)
-
-  REAL, ALLOCATABLE::  ht_prof_cas(:)
-  REAL, ALLOCATABLE::  hth_prof_cas(:)
-  REAL, ALLOCATABLE::  hq_prof_cas(:)
-  REAL, ALLOCATABLE::  vt_prof_cas(:)
-  REAL, ALLOCATABLE::  vth_prof_cas(:)
-  REAL, ALLOCATABLE::  vq_prof_cas(:)
-  REAL, ALLOCATABLE::  dt_prof_cas(:)
-  REAL, ALLOCATABLE::  dth_prof_cas(:)
-  REAL, ALLOCATABLE::  dtrad_prof_cas(:)
-  REAL, ALLOCATABLE::  dq_prof_cas(:)
-  REAL, ALLOCATABLE::  hu_prof_cas(:)
-  REAL, ALLOCATABLE::  hv_prof_cas(:)
-  REAL, ALLOCATABLE::  vu_prof_cas(:)
-  REAL, ALLOCATABLE::  vv_prof_cas(:)
-  REAL, ALLOCATABLE::  du_prof_cas(:)
-  REAL, ALLOCATABLE::  dv_prof_cas(:)
-  REAL, ALLOCATABLE::  uw_prof_cas(:)
-  REAL, ALLOCATABLE::  vw_prof_cas(:)
-  REAL, ALLOCATABLE::  q1_prof_cas(:)
-  REAL, ALLOCATABLE::  q2_prof_cas(:)
-
-
-  REAL o3_cas,lat_prof_cas,sens_prof_cas,ts_prof_cas,tskin_prof_cas,ps_prof_cas,ustar_prof_cas,tkes_prof_cas
-  REAL orog_cas,albedo_cas,emiss_cas,q_skin_cas,mom_rough,heat_rough,rugos_cas,sand_cas,clay_cas
-
+  REAL, ALLOCATABLE :: plev_prof_cas(:)
+  REAL, ALLOCATABLE :: t_prof_cas(:)
+  REAL, ALLOCATABLE :: theta_prof_cas(:)
+  REAL, ALLOCATABLE :: thl_prof_cas(:)
+  REAL, ALLOCATABLE :: thv_prof_cas(:)
+  REAL, ALLOCATABLE :: q_prof_cas(:)
+  REAL, ALLOCATABLE :: qv_prof_cas(:)
+  REAL, ALLOCATABLE :: ql_prof_cas(:)
+  REAL, ALLOCATABLE :: qi_prof_cas(:)
+  REAL, ALLOCATABLE :: rh_prof_cas(:)
+  REAL, ALLOCATABLE :: rv_prof_cas(:)
+  REAL, ALLOCATABLE :: u_prof_cas(:)
+  REAL, ALLOCATABLE :: v_prof_cas(:)
+  REAL, ALLOCATABLE :: vitw_prof_cas(:)
+  REAL, ALLOCATABLE :: omega_prof_cas(:)
+  REAL, ALLOCATABLE :: tke_prof_cas(:)
+  REAL, ALLOCATABLE :: ug_prof_cas(:)
+  REAL, ALLOCATABLE :: vg_prof_cas(:)
+  REAL, ALLOCATABLE :: temp_nudg_prof_cas(:), qv_nudg_prof_cas(:), u_nudg_prof_cas(:), v_nudg_prof_cas(:)
+  REAL, ALLOCATABLE :: invtau_temp_nudg_prof_cas(:), invtau_qv_nudg_prof_cas(:), invtau_u_nudg_prof_cas(:), invtau_v_nudg_prof_cas(:)
+
+  REAL, ALLOCATABLE :: ht_prof_cas(:)
+  REAL, ALLOCATABLE :: hth_prof_cas(:)
+  REAL, ALLOCATABLE :: hq_prof_cas(:)
+  REAL, ALLOCATABLE :: vt_prof_cas(:)
+  REAL, ALLOCATABLE :: vth_prof_cas(:)
+  REAL, ALLOCATABLE :: vq_prof_cas(:)
+  REAL, ALLOCATABLE :: dt_prof_cas(:)
+  REAL, ALLOCATABLE :: dth_prof_cas(:)
+  REAL, ALLOCATABLE :: dtrad_prof_cas(:)
+  REAL, ALLOCATABLE :: dq_prof_cas(:)
+  REAL, ALLOCATABLE :: hu_prof_cas(:)
+  REAL, ALLOCATABLE :: hv_prof_cas(:)
+  REAL, ALLOCATABLE :: vu_prof_cas(:)
+  REAL, ALLOCATABLE :: vv_prof_cas(:)
+  REAL, ALLOCATABLE :: du_prof_cas(:)
+  REAL, ALLOCATABLE :: dv_prof_cas(:)
+  REAL, ALLOCATABLE :: uw_prof_cas(:)
+  REAL, ALLOCATABLE :: vw_prof_cas(:)
+  REAL, ALLOCATABLE :: q1_prof_cas(:)
+  REAL, ALLOCATABLE :: q2_prof_cas(:)
+
+  REAL o3_cas, lat_prof_cas, sens_prof_cas, ts_prof_cas, tskin_prof_cas, ps_prof_cas, ustar_prof_cas, tkes_prof_cas
+  REAL orog_cas, albedo_cas, emiss_cas, q_skin_cas, mom_rough, heat_rough, rugos_cas, sand_cas, clay_cas
 
 
@@ -93,94 +90,94 @@
     INCLUDE "date_cas.h"
 
-    INTEGER nid,rid,ierr
-    INTEGER ii,jj,timeid
+    INTEGER nid, rid, ierr
+    INTEGER ii, jj, timeid
     REAL, ALLOCATABLE :: time_val(:)
 
-    fich_cas='cas.nc'
-    PRINT*,'fich_cas ',fich_cas
-    ierr = nf90_open(fich_cas,nf90_nowrite,nid)
-    PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
+    fich_cas = 'cas.nc'
+    PRINT*, 'fich_cas ', fich_cas
+    ierr = nf90_open(fich_cas, nf90_nowrite, nid)
+    PRINT*, 'fich_cas,nf90_nowrite,nid ', fich_cas, nf90_nowrite, nid
     IF (ierr/=nf90_noerr) THEN
-       WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
-       WRITE(*,*) nf90_strerror(ierr)
-       stop ""
+      WRITE(*, *) 'ERROR: GROS Pb opening forcings nc file '
+      WRITE(*, *) nf90_strerror(ierr)
+      stop ""
     endif
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lat',rid)
+    ierr = nf90_inq_dimid(nid, 'lat', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lat'
+      PRINT*, 'Oh probleme lecture dimension lat'
     ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=ii)
-    PRINT*,'OK1 read_SCM_cas: nid,rid,lat',nid,rid,ii
+    ierr = nf90_inquire_dimension(nid, rid, len = ii)
+    PRINT*, 'OK1 read_SCM_cas: nid,rid,lat', nid, rid, ii
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lon',rid)
+    ierr = nf90_inq_dimid(nid, 'lon', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension lon'
+      PRINT*, 'Oh probleme lecture dimension lon'
     ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=jj)
-    PRINT*,'OK2 read_SCM_cas: nid,rid,lat',nid,rid,jj
+    ierr = nf90_inquire_dimension(nid, rid, len = jj)
+    PRINT*, 'OK2 read_SCM_cas: nid,rid,lat', nid, rid, jj
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'lev',rid)
+    ierr = nf90_inq_dimid(nid, 'lev', rid)
     IF (ierr/=nf90_noerr) THEN
-       PRINT*, 'Oh probleme lecture dimension nlev'
+      PRINT*, 'Oh probleme lecture dimension nlev'
     ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nlev_cas)
-    PRINT*,'OK3 read_SCM_cas: nid,rid,nlev_cas',nid,rid,nlev_cas
-    IF ( .NOT. ( nlev_cas > 10 .AND. nlev_cas < 200000 )) THEN
-       PRINT*,'Valeur de nlev_cas peu probable'
-       STOP
+    ierr = nf90_inquire_dimension(nid, rid, len = nlev_cas)
+    PRINT*, 'OK3 read_SCM_cas: nid,rid,nlev_cas', nid, rid, nlev_cas
+    IF (.NOT. (nlev_cas > 10 .AND. nlev_cas < 200000)) THEN
+      PRINT*, 'Valeur de nlev_cas peu probable'
+      STOP
     ENDIF
     !.......................................................................
-    ierr=nf90_inq_dimid(nid,'time',rid)
-    nt_cas=0
+    ierr = nf90_inq_dimid(nid, 'time', rid)
+    nt_cas = 0
     IF (ierr/=nf90_noerr) THEN
-       stop 'Oh probleme lecture dimension time'
+      stop 'Oh probleme lecture dimension time'
     ENDIF
-    ierr=nf90_inquire_dimension(nid,rid,len=nt_cas)
-    PRINT*,'OK4 read_SCM_cas: nid,rid,nt_cas',nid,rid,nt_cas
+    ierr = nf90_inquire_dimension(nid, rid, len = nt_cas)
+    PRINT*, 'OK4 read_SCM_cas: nid,rid,nt_cas', nid, rid, nt_cas
     ! Lecture de l'axe des temps
-    PRINT*,'LECTURE DU TEMPS'
-    ierr=nf90_inq_varid(nid,'time',timeid)
+    PRINT*, 'LECTURE DU TEMPS'
+    ierr = nf90_inq_varid(nid, 'time', timeid)
     IF(ierr/=nf90_noerr) THEN
-       print *,'Variable time manquante dans cas.nc:'
-       ierr=nf90_noerr
+      print *, 'Variable time manquante dans cas.nc:'
+      ierr = nf90_noerr
     else
-       allocate(time_val(nt_cas))
-       ierr = nf90_get_var(nid,timeid,time_val)
-       IF(ierr/=nf90_noerr) THEN
-          print *,'A Pb a la lecture de time cas.nc: '
-       endif
+      allocate(time_val(nt_cas))
+      ierr = nf90_get_var(nid, timeid, time_val)
+      IF(ierr/=nf90_noerr) THEN
+        print *, 'A Pb a la lecture de time cas.nc: '
+      endif
     endif
     IF (nt_cas>1) THEN
-       pdt_cas=time_val(2)-time_val(1)
+      pdt_cas = time_val(2) - time_val(1)
     ELSE
-       pdt_cas=0.
+      pdt_cas = 0.
     ENDIF
 
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+    !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
     !profils moyens:
-    allocate(plev_cas(nlev_cas,nt_cas),plevh_cas(nlev_cas+1))        
-    allocate(z_cas(nlev_cas,nt_cas),zh_cas(nlev_cas+1))
-    allocate(ap_cas(nlev_cas+1),bp_cas(nlev_cas+1))
-    allocate(t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas),qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas), &
-         qi_cas(nlev_cas,nt_cas),rh_cas(nlev_cas,nt_cas))
-    allocate(th_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),rv_cas(nlev_cas,nt_cas))
-    allocate(u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas),vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas))
-    allocate(tke_cas(nlev_cas,nt_cas))
+    allocate(plev_cas(nlev_cas, nt_cas), plevh_cas(nlev_cas + 1))
+    allocate(z_cas(nlev_cas, nt_cas), zh_cas(nlev_cas + 1))
+    allocate(ap_cas(nlev_cas + 1), bp_cas(nlev_cas + 1))
+    allocate(t_cas(nlev_cas, nt_cas), q_cas(nlev_cas, nt_cas), qv_cas(nlev_cas, nt_cas), ql_cas(nlev_cas, nt_cas), &
+            qi_cas(nlev_cas, nt_cas), rh_cas(nlev_cas, nt_cas))
+    allocate(th_cas(nlev_cas, nt_cas), thl_cas(nlev_cas, nt_cas), thv_cas(nlev_cas, nt_cas), rv_cas(nlev_cas, nt_cas))
+    allocate(u_cas(nlev_cas, nt_cas), v_cas(nlev_cas, nt_cas), vitw_cas(nlev_cas, nt_cas), omega_cas(nlev_cas, nt_cas))
+    allocate(tke_cas(nlev_cas, nt_cas))
     !forcing
-    allocate(ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas),dt_cas(nlev_cas,nt_cas),dtrad_cas(nlev_cas,nt_cas))
-    allocate(hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas),dq_cas(nlev_cas,nt_cas))
-    allocate(hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas),dth_cas(nlev_cas,nt_cas))
-    allocate(hr_cas(nlev_cas,nt_cas),vr_cas(nlev_cas,nt_cas),dr_cas(nlev_cas,nt_cas))
-    allocate(hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas),du_cas(nlev_cas,nt_cas))
-    allocate(hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas),dv_cas(nlev_cas,nt_cas))
-    allocate(ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas))
-    allocate(temp_nudg_cas(nlev_cas,nt_cas),qv_nudg_cas(nlev_cas,nt_cas))
-    allocate(u_nudg_cas(nlev_cas,nt_cas),v_nudg_cas(nlev_cas,nt_cas))
-    allocate(invtau_temp_nudg_cas(nlev_cas,nt_cas),invtau_qv_nudg_cas(nlev_cas,nt_cas))
-    allocate(invtau_u_nudg_cas(nlev_cas,nt_cas),invtau_v_nudg_cas(nlev_cas,nt_cas))
-    allocate(lat_cas(nt_cas),sens_cas(nt_cas),ts_cas(nt_cas),tskin_cas(nt_cas),ps_cas(nt_cas),ustar_cas(nt_cas),tkes_cas(nt_cas))
-    allocate(uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas),q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas))
+    allocate(ht_cas(nlev_cas, nt_cas), vt_cas(nlev_cas, nt_cas), dt_cas(nlev_cas, nt_cas), dtrad_cas(nlev_cas, nt_cas))
+    allocate(hq_cas(nlev_cas, nt_cas), vq_cas(nlev_cas, nt_cas), dq_cas(nlev_cas, nt_cas))
+    allocate(hth_cas(nlev_cas, nt_cas), vth_cas(nlev_cas, nt_cas), dth_cas(nlev_cas, nt_cas))
+    allocate(hr_cas(nlev_cas, nt_cas), vr_cas(nlev_cas, nt_cas), dr_cas(nlev_cas, nt_cas))
+    allocate(hu_cas(nlev_cas, nt_cas), vu_cas(nlev_cas, nt_cas), du_cas(nlev_cas, nt_cas))
+    allocate(hv_cas(nlev_cas, nt_cas), vv_cas(nlev_cas, nt_cas), dv_cas(nlev_cas, nt_cas))
+    allocate(ug_cas(nlev_cas, nt_cas), vg_cas(nlev_cas, nt_cas))
+    allocate(temp_nudg_cas(nlev_cas, nt_cas), qv_nudg_cas(nlev_cas, nt_cas))
+    allocate(u_nudg_cas(nlev_cas, nt_cas), v_nudg_cas(nlev_cas, nt_cas))
+    allocate(invtau_temp_nudg_cas(nlev_cas, nt_cas), invtau_qv_nudg_cas(nlev_cas, nt_cas))
+    allocate(invtau_u_nudg_cas(nlev_cas, nt_cas), invtau_v_nudg_cas(nlev_cas, nt_cas))
+    allocate(lat_cas(nt_cas), sens_cas(nt_cas), ts_cas(nt_cas), tskin_cas(nt_cas), ps_cas(nt_cas), ustar_cas(nt_cas), tkes_cas(nt_cas))
+    allocate(uw_cas(nlev_cas, nt_cas), vw_cas(nlev_cas, nt_cas), q1_cas(nlev_cas, nt_cas), q2_cas(nlev_cas, nt_cas))
 
 
@@ -205,8 +202,8 @@
     allocate(ug_prof_cas(nlev_cas))
     allocate(vg_prof_cas(nlev_cas))
-    allocate(temp_nudg_prof_cas(nlev_cas),qv_nudg_prof_cas(nlev_cas))
-    allocate(u_nudg_prof_cas(nlev_cas),v_nudg_prof_cas(nlev_cas))
-    allocate(invtau_temp_nudg_prof_cas(nlev_cas),invtau_qv_nudg_prof_cas(nlev_cas))
-    allocate(invtau_u_nudg_prof_cas(nlev_cas),invtau_v_nudg_prof_cas(nlev_cas))
+    allocate(temp_nudg_prof_cas(nlev_cas), qv_nudg_prof_cas(nlev_cas))
+    allocate(u_nudg_prof_cas(nlev_cas), v_nudg_prof_cas(nlev_cas))
+    allocate(invtau_temp_nudg_prof_cas(nlev_cas), invtau_qv_nudg_prof_cas(nlev_cas))
+    allocate(invtau_u_nudg_prof_cas(nlev_cas), invtau_v_nudg_prof_cas(nlev_cas))
     allocate(ht_prof_cas(nlev_cas))
     allocate(hth_prof_cas(nlev_cas))
@@ -230,46 +227,45 @@
     allocate(q2_prof_cas(nlev_cas))
 
-    PRINT*,'Allocations OK'
-    CALL read_SCM (nid,nlev_cas,nt_cas,                                                                     &
-         ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                   &
-         ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,tke_cas,ug_cas,vg_cas,                            &
-         temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas,                                                     &
-         invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas,                         &
-         du_cas,hu_cas,vu_cas,                                                                                &
-         dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
-         dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,tskin_cas,ps_cas,ustar_cas,tkes_cas,            &
-         uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,q_skin_cas,mom_rough,heat_rough, &
-         o3_cas,rugos_cas,clay_cas,sand_cas)
-    PRINT*,'read_SCM cas OK'
-    do ii=1,nlev_cas
-       PRINT*,'apres read_SCM_cas, plev_cas=',ii,plev_cas(ii,1)
-       !PRINT*,'apres read_SCM, plev_cas=',ii,omega_cas(ii,nt_cas/2+1)
+    PRINT*, 'Allocations OK'
+    CALL read_SCM (nid, nlev_cas, nt_cas, &
+            ap_cas, bp_cas, z_cas, plev_cas, zh_cas, plevh_cas, t_cas, th_cas, thv_cas, thl_cas, qv_cas, &
+            ql_cas, qi_cas, rh_cas, rv_cas, u_cas, v_cas, vitw_cas, omega_cas, tke_cas, ug_cas, vg_cas, &
+            temp_nudg_cas, qv_nudg_cas, u_nudg_cas, v_nudg_cas, &
+            invtau_temp_nudg_cas, invtau_qv_nudg_cas, invtau_u_nudg_cas, invtau_v_nudg_cas, &
+            du_cas, hu_cas, vu_cas, &
+            dv_cas, hv_cas, vv_cas, dt_cas, ht_cas, vt_cas, dq_cas, hq_cas, vq_cas, dth_cas, hth_cas, vth_cas, &
+            dr_cas, hr_cas, vr_cas, dtrad_cas, sens_cas, lat_cas, ts_cas, tskin_cas, ps_cas, ustar_cas, tkes_cas, &
+            uw_cas, vw_cas, q1_cas, q2_cas, orog_cas, albedo_cas, emiss_cas, q_skin_cas, mom_rough, heat_rough, &
+            o3_cas, rugos_cas, clay_cas, sand_cas)
+    PRINT*, 'read_SCM cas OK'
+    do ii = 1, nlev_cas
+      PRINT*, 'apres read_SCM_cas, plev_cas=', ii, plev_cas(ii, 1)
+      !PRINT*,'apres read_SCM, plev_cas=',ii,omega_cas(ii,nt_cas/2+1)
     enddo
 
-
   END SUBROUTINE read_SCM_cas
 
 
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
   SUBROUTINE deallocate2_1D_cases
     !profils environnementaux:
-    deallocate(plev_cas,plevh_cas)
-
-    deallocate(z_cas,zh_cas)
-    deallocate(ap_cas,bp_cas)
-    deallocate(t_cas,q_cas,qv_cas,ql_cas,qi_cas,rh_cas)
-    deallocate(th_cas,thl_cas,thv_cas,rv_cas)
-    deallocate(u_cas,v_cas,vitw_cas,omega_cas,tke_cas)
+    deallocate(plev_cas, plevh_cas)
+
+    deallocate(z_cas, zh_cas)
+    deallocate(ap_cas, bp_cas)
+    deallocate(t_cas, q_cas, qv_cas, ql_cas, qi_cas, rh_cas)
+    deallocate(th_cas, thl_cas, thv_cas, rv_cas)
+    deallocate(u_cas, v_cas, vitw_cas, omega_cas, tke_cas)
 
     !forcing
-    deallocate(ht_cas,vt_cas,dt_cas,dtrad_cas)
-    deallocate(hq_cas,vq_cas,dq_cas)
-    deallocate(hth_cas,vth_cas,dth_cas)
-    deallocate(hr_cas,vr_cas,dr_cas)
-    deallocate(hu_cas,vu_cas,du_cas)
-    deallocate(hv_cas,vv_cas,dv_cas)
+    deallocate(ht_cas, vt_cas, dt_cas, dtrad_cas)
+    deallocate(hq_cas, vq_cas, dq_cas)
+    deallocate(hth_cas, vth_cas, dth_cas)
+    deallocate(hr_cas, vr_cas, dr_cas)
+    deallocate(hu_cas, vu_cas, du_cas)
+    deallocate(hv_cas, vv_cas, dv_cas)
     deallocate(ug_cas)
     deallocate(vg_cas)
-    deallocate(lat_cas,sens_cas,tskin_cas,ts_cas,ps_cas,ustar_cas,tkes_cas,uw_cas,vw_cas,q1_cas,q2_cas)
+    deallocate(lat_cas, sens_cas, tskin_cas, ts_cas, ps_cas, ustar_cas, tkes_cas, uw_cas, vw_cas, q1_cas, q2_cas)
 
     !champs interpoles
@@ -292,6 +288,6 @@
     deallocate(ug_prof_cas)
     deallocate(vg_prof_cas)
-    deallocate(temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas)
-    deallocate(invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas)
+    deallocate(temp_nudg_prof_cas, qv_nudg_prof_cas, u_nudg_prof_cas, v_nudg_prof_cas)
+    deallocate(invtau_temp_nudg_prof_cas, invtau_qv_nudg_prof_cas, invtau_u_nudg_prof_cas, invtau_v_nudg_prof_cas)
     deallocate(ht_prof_cas)
     deallocate(hq_prof_cas)
@@ -319,12 +315,12 @@
 
   !=====================================================================
-  SUBROUTINE read_SCM(nid,nlevel,ntime,                                       &
-       ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,tke,ug,vg,&
-       temp_nudg,qv_nudg,u_nudg,v_nudg,                                        &
-       invtau_temp_nudg,invtau_qv_nudg,invtau_u_nudg,invtau_v_nudg,             &
-       du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
-       dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,tskin,ps,ustar,tkes,uw,vw,q1,q2,       &
-       orog_cas,albedo_cas,emiss_cas,q_skin_cas,mom_rough,          &
-       heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
+  SUBROUTINE read_SCM(nid, nlevel, ntime, &
+          ap, bp, zz, pp, zzh, pph, temp, theta, thv, thl, qv, ql, qi, rh, rv, u, v, vitw, omega, tke, ug, vg, &
+          temp_nudg, qv_nudg, u_nudg, v_nudg, &
+          invtau_temp_nudg, invtau_qv_nudg, invtau_u_nudg, invtau_v_nudg, &
+          du, hu, vu, dv, hv, vv, dt, ht, vt, dq, hq, vq, &
+          dth, hth, vth, dr, hr, vr, dtrad, sens, flat, ts, tskin, ps, ustar, tkes, uw, vw, q1, q2, &
+          orog_cas, albedo_cas, emiss_cas, q_skin_cas, mom_rough, &
+          heat_rough, o3_cas, rugos_cas, clay_cas, sand_cas)
 
     !program reading forcing of the case study
@@ -332,37 +328,36 @@
     INCLUDE "compar1d.h"
 
-    INTEGER ntime,nlevel,k,t
-
-    REAL ap(nlevel+1),bp(nlevel+1)
-    REAL zz(nlevel,ntime),zzh(nlevel+1)
-    REAL pp(nlevel,ntime),pph(nlevel+1)
+    INTEGER ntime, nlevel, k, t
+
+    REAL ap(nlevel + 1), bp(nlevel + 1)
+    REAL zz(nlevel, ntime), zzh(nlevel + 1)
+    REAL pp(nlevel, ntime), pph(nlevel + 1)
     !profils initiaux
-    REAL temp0(nlevel),qv0(nlevel),ql0(nlevel),qi0(nlevel),u0(nlevel),v0(nlevel),tke0(nlevel)
+    REAL temp0(nlevel), qv0(nlevel), ql0(nlevel), qi0(nlevel), u0(nlevel), v0(nlevel), tke0(nlevel)
     REAL pp0(nlevel)
-    REAL temp(nlevel,ntime),qv(nlevel,ntime),ql(nlevel,ntime),qi(nlevel,ntime),rh(nlevel,ntime)
-    REAL theta(nlevel,ntime),thv(nlevel,ntime),thl(nlevel,ntime),rv(nlevel,ntime)
-    REAL u(nlevel,ntime),v(nlevel,ntime),tkes(ntime)
-    REAL temp_nudg(nlevel,ntime),qv_nudg(nlevel,ntime),u_nudg(nlevel,ntime),v_nudg(nlevel,ntime)
-    REAL invtau_temp_nudg(nlevel,ntime),invtau_qv_nudg(nlevel,ntime),invtau_u_nudg(nlevel,ntime),invtau_v_nudg(nlevel,ntime)
-    REAL ug(nlevel,ntime),vg(nlevel,ntime)
-    REAL vitw(nlevel,ntime),omega(nlevel,ntime),tke(nlevel,ntime)
-    REAL du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
-    REAL dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
-    REAL dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
-    REAL dtrad(nlevel,ntime)
-    REAL dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
-    REAL dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime),hthl(nlevel,ntime)
-    REAL dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
-    REAL flat(ntime),sens(ntime),ustar(ntime)
-    REAL uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
-    REAL ts(ntime),tskin(ntime),ps(ntime)
-    REAL orog_cas,albedo_cas,emiss_cas,q_skin_cas,mom_rough,heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas
-    REAL apbp(nlevel+1),resul(nlevel,ntime),resul1(nlevel),resul2(ntime),resul3
-
-
-    INTEGER nid, ierr,ierr1,ierr2,rid,i,int_test
+    REAL temp(nlevel, ntime), qv(nlevel, ntime), ql(nlevel, ntime), qi(nlevel, ntime), rh(nlevel, ntime)
+    REAL theta(nlevel, ntime), thv(nlevel, ntime), thl(nlevel, ntime), rv(nlevel, ntime)
+    REAL u(nlevel, ntime), v(nlevel, ntime), tkes(ntime)
+    REAL temp_nudg(nlevel, ntime), qv_nudg(nlevel, ntime), u_nudg(nlevel, ntime), v_nudg(nlevel, ntime)
+    REAL invtau_temp_nudg(nlevel, ntime), invtau_qv_nudg(nlevel, ntime), invtau_u_nudg(nlevel, ntime), invtau_v_nudg(nlevel, ntime)
+    REAL ug(nlevel, ntime), vg(nlevel, ntime)
+    REAL vitw(nlevel, ntime), omega(nlevel, ntime), tke(nlevel, ntime)
+    REAL du(nlevel, ntime), hu(nlevel, ntime), vu(nlevel, ntime)
+    REAL dv(nlevel, ntime), hv(nlevel, ntime), vv(nlevel, ntime)
+    REAL dt(nlevel, ntime), ht(nlevel, ntime), vt(nlevel, ntime)
+    REAL dtrad(nlevel, ntime)
+    REAL dq(nlevel, ntime), hq(nlevel, ntime), vq(nlevel, ntime)
+    REAL dth(nlevel, ntime), hth(nlevel, ntime), vth(nlevel, ntime), hthl(nlevel, ntime)
+    REAL dr(nlevel, ntime), hr(nlevel, ntime), vr(nlevel, ntime)
+    REAL flat(ntime), sens(ntime), ustar(ntime)
+    REAL uw(nlevel, ntime), vw(nlevel, ntime), q1(nlevel, ntime), q2(nlevel, ntime)
+    REAL ts(ntime), tskin(ntime), ps(ntime)
+    REAL orog_cas, albedo_cas, emiss_cas, q_skin_cas, mom_rough, heat_rough, o3_cas, rugos_cas, clay_cas, sand_cas
+    REAL apbp(nlevel + 1), resul(nlevel, ntime), resul1(nlevel), resul2(ntime), resul3
+
+    INTEGER nid, ierr, ierr1, ierr2, rid, i, int_test
     INTEGER nbvar3d
-    parameter(nbvar3d=78)
-    INTEGER var3didin(nbvar3d),missing_var(nbvar3d)
+    parameter(nbvar3d = 78)
+    INTEGER var3didin(nbvar3d), missing_var(nbvar3d)
     CHARACTER*13 name_var(1:nbvar3d)
 
@@ -385,23 +380,21 @@
     !     &'o3','rugos','clay','sand'/
 
-
-
     data name_var/ &
-                                ! coordonnees pression (n+1 niveaux) #4
-         'coor_par_a','coor_par_b','zf','pressure_h',& ! #1-#4
-                                ! coordonnees pression (n niveaux) #8
-         'ta','qv','ql','qi','ua','va','tke','pa',& ! #5-#12
-                                ! coordonnees pression + temps #46
-         'wa','wap','ug','vg','tnua_adv','tnua_advh','tnua_advv','tnva_adv','tnva_advh','tnva_advv','tnta_adv','tnta_advh',& !  #13 - #25
-         'tnta_advv','tnqv_adv','tnqv_advh','tnqv_advv','thadv','thadvh','thadvv','thladvh',                             & ! #26 - #32
-         'radv','radvh','radvv','tnta_rad','q1','q2','ustress','vstress',                           & ! #33 - #40
-         'rh','ta_nud','qv_nud','ua_nud','va_nud',                                       & ! #41-45
-         'zh_forc','pa_forc','tat','thetat','thetavt','thetalt','qvt','qlt','qit','rvt','uat','vat',   & ! #46-57
-         'nudging_constant_ta', 'nudging_constant_qv', 'nudging_constant_ua', 'nudging_constant_va',           & ! # 58-61
-                                ! coordonnees temps #12
-         'tkes','hfss','hfls','ts_forc','tskin','ps_forc','ustar', &                     ! 62-68
-                                  ! scalaires 
-         'orog','albedo','emiss','q_skin','z0','z0h',       &                    ! 69-74
-         'O3','rugos','clay','sand'/                                                      ! 75-78
+            ! coordonnees pression (n+1 niveaux) #4
+            'coor_par_a', 'coor_par_b', 'zf', 'pressure_h', & ! #1-#4
+            ! coordonnees pression (n niveaux) #8
+            'ta', 'qv', 'ql', 'qi', 'ua', 'va', 'tke', 'pa', & ! #5-#12
+            ! coordonnees pression + temps #46
+            'wa', 'wap', 'ug', 'vg', 'tnua_adv', 'tnua_advh', 'tnua_advv', 'tnva_adv', 'tnva_advh', 'tnva_advv', 'tnta_adv', 'tnta_advh', & !  #13 - #25
+            'tnta_advv', 'tnqv_adv', 'tnqv_advh', 'tnqv_advv', 'thadv', 'thadvh', 'thadvv', 'thladvh', & ! #26 - #32
+            'radv', 'radvh', 'radvv', 'tnta_rad', 'q1', 'q2', 'ustress', 'vstress', & ! #33 - #40
+            'rh', 'ta_nud', 'qv_nud', 'ua_nud', 'va_nud', & ! #41-45
+            'zh_forc', 'pa_forc', 'tat', 'thetat', 'thetavt', 'thetalt', 'qvt', 'qlt', 'qit', 'rvt', 'uat', 'vat', & ! #46-57
+            'nudging_constant_ta', 'nudging_constant_qv', 'nudging_constant_ua', 'nudging_constant_va', & ! # 58-61
+            ! coordonnees temps #12
+            'tkes', 'hfss', 'hfls', 'ts_forc', 'tskin', 'ps_forc', 'ustar', &                     ! 62-68
+            ! scalaires
+            'orog', 'albedo', 'emiss', 'q_skin', 'z0', 'z0h', &                    ! 69-74
+            'O3', 'rugos', 'clay', 'sand'/                                                      ! 75-78
 
 
@@ -411,13 +404,12 @@
     !-----------------------------------------------------------------------
 
-
-    ierr=nf90_inq_varid(nid,'ta',int_test)
+    ierr = nf90_inq_varid(nid, 'ta', int_test)
     IF(ierr/=nf90_noerr) THEN
-       PRINT*, '++++++++++++++++++++++++++++++'
-       PRINT*, 'variable ta missing in cas.nc '
-       PRINT*, 'You are probably using an obsolete version of the 1D cases'
-       PRINT*, 'please dowload the last version of the 1D archive from https://lmdz.lmd.jussieu.fr/pub/'
-       PRINT*, '++++++++++++++++++++++++++++++'
-       CALL abort_gcm ('mod_1D_cases_read_std','bad version of 1D directory',0)
+      PRINT*, '++++++++++++++++++++++++++++++'
+      PRINT*, 'variable ta missing in cas.nc '
+      PRINT*, 'You are probably using an obsolete version of the 1D cases'
+      PRINT*, 'please dowload the last version of the 1D archive from https://lmdz.lmd.jussieu.fr/pub/'
+      PRINT*, '++++++++++++++++++++++++++++++'
+      CALL abort_gcm ('mod_1D_cases_read_std', 'bad version of 1D directory', 0)
     endif
 
